summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorJacob Menke <jamenk@email.wm.edu>2020-05-20 05:30:11 -0400
committerGitHub <noreply@github.com>2020-05-20 11:30:11 +0200
commit582c8cb2915bf898a419cfcff398af1966211c25 (patch)
tree141bd41ca998b9557fb83a1e9aa0afb59e23519c /lib
parent8b51d17c469a7bafa1193d8af2a52e0d4c645eef (diff)
downloadzsh-582c8cb2915bf898a419cfcff398af1966211c25.tar.gz
zsh-582c8cb2915bf898a419cfcff398af1966211c25.tar.bz2
zsh-582c8cb2915bf898a419cfcff398af1966211c25.zip
Prefix cd calls with `builtin` (#8937)
Diffstat (limited to 'lib')
-rw-r--r--lib/cli.zsh8
-rw-r--r--lib/diagnostics.zsh8
2 files changed, 8 insertions, 8 deletions
diff --git a/lib/cli.zsh b/lib/cli.zsh
index 8c0fabb82..e25a9f0b1 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -103,7 +103,7 @@ EOF
function _omz::pr::clean {
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
_omz::log info "removing all Oh My Zsh Pull Request branches..."
command git branch --list 'ohmyzsh/pull-*' | while read branch; do
@@ -126,7 +126,7 @@ function _omz::pr::test {
# Save current git HEAD
local branch
- branch=$(cd -q "$ZSH"; git symbolic-ref --short HEAD) || {
+ branch=$(builtin cd -q "$ZSH"; git symbolic-ref --short HEAD) || {
_omz::log error "error when getting the current git branch. Aborting..."
return 1
}
@@ -136,7 +136,7 @@ function _omz::pr::test {
# If any of these operations fail, undo the changes made
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
# Get the ohmyzsh git remote
command git remote -v | while read remote url _; do
@@ -185,7 +185,7 @@ function _omz::pr::test {
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
command git checkout "$branch" -- || {
_omz::log error "could not go back to the previous branch ('$branch')."
diff --git a/lib/diagnostics.zsh b/lib/diagnostics.zsh
index 9c9905e4d..001de42b7 100644
--- a/lib/diagnostics.zsh
+++ b/lib/diagnostics.zsh
@@ -192,19 +192,19 @@ function _omz_diag_dump_one_big_text() {
command ls -ld ~/.oh*
builtin echo
builtin echo oh-my-zsh git state:
- (cd $ZSH && builtin echo "HEAD: $(git rev-parse HEAD)" && git remote -v && git status | command grep "[^[:space:]]")
+ (builtin cd $ZSH && builtin echo "HEAD: $(git rev-parse HEAD)" && git remote -v && git status | command grep "[^[:space:]]")
if [[ $verbose -ge 1 ]]; then
- (cd $ZSH && git reflog --date=default | command grep pull)
+ (builtin cd $ZSH && git reflog --date=default | command grep pull)
fi
builtin echo
if [[ -e $ZSH_CUSTOM ]]; then
local custom_dir=$ZSH_CUSTOM
if [[ -h $custom_dir ]]; then
- custom_dir=$(cd $custom_dir && pwd -P)
+ custom_dir=$(builtin cd $custom_dir && pwd -P)
fi
builtin echo "oh-my-zsh custom dir:"
builtin echo " $ZSH_CUSTOM ($custom_dir)"
- (cd ${custom_dir:h} && command find ${custom_dir:t} -name .git -prune -o -print)
+ (builtin cd ${custom_dir:h} && command find ${custom_dir:t} -name .git -prune -o -print)
builtin echo
fi